### Method

# Secret Collection search_for_dbus_paths

#### Declaration [src]

    void
    secret_collection_search_for_dbus_paths (
      SecretCollection* collection,
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Search for items in `collection` matching the `attributes`, and return their DBus object paths.

Only the specified collection is searched. The `attributes` should be a table of string keys and string values.

This function returns immediately and completes asynchronously.

When your callback is called use `secret_collection_search_for_dbus_paths_finish()` to get the results of this function. Only the DBus object paths of the items will be returned. If you would like `SecretItem` objects to be returned instead, then use the `secret_collection_search()` function.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`schema` | `SecretSchema`
| The schema for the attributes.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`attributes` | `GHashTable`
| Search for items matching these attributes.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.